# $Revision: 1.24 $, $Date: 2009/09/15 07:23:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	All
Summary:	IO::All of it to Graham and Damian
Summary(pl.UTF-8):	IO::All - wszystkie IO dla Grahama i Damiana
Name:		perl-IO-All
Version:	0.39
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4c8a8a765b7b49cd446b238e7283ebbb
URL:		http://search.cpan.org/dist/IO-All/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-File-ReadBackwards
BuildRequires:	perl-IO-String
BuildRequires:	perl-MLDBM
BuildRequires:	perl-Spiffy >= 0.19
%endif
Requires:	perl-mixin
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::All combines all of the best Perl IO modules into a single Spiffy
object oriented interface to greatly simplify your everyday Perl IO
idioms. It exports a single function called io, which returns a new
IO::All object. And that object can do it all!

The IO::All object is a proxy for IO::File, IO::Dir, IO::Socket,
IO::String, Tie::File and File::ReadBackwards. You can use most of the
methods found in these classes and in IO::Handle (which they all
inherit from). IO::All is easily subclassable. You can override any
methods and also add new methods of your own.

%description -l pl.UTF-8
IO::All łączy wszystkie najlepsze moduły Perla IO w pojedynczy
zorientowany obiektowo interfejs Spiffy, aby znacznie uprościć
codziennie używane idiomy IO. Eksportuje pojedynczą funkcję o nazwie
io, która zwraca nowy obiekt IO::All - i ten obiekt może robić to
wszystko!

Obiekt IO::All to proxy dla IO::File, IO::Dir, IO::Socket, IO::String,
Tie::File i File::ReadBackwards. Można używać większości z metod
obecnych w tych klasach oraz w IO::Handle (z którego one wszystkie
dziedziczą). IO::All może być łatwo użyty jako podklasa. Można
przykryć dowolne metody i dodać nowe, własne.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/IO/All.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/IO/All.pm
%{perl_vendorlib}/IO/All
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-All.spec,v $
Revision 1.24  2009/09/15 07:23:00  amateja
- updated to 0.39

Revision 1.23  2007/03/31 11:24:07  qboosh
- generic URL

Revision 1.22  2007/03/23 20:26:24  megabajt
- updated to 0.36

Revision 1.21  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.19  2006/08/22 14:51:57  glen
- rel 1

Revision 1.18  2006/08/09 21:28:12  agaran
- up t0 0.35, rel 0.1, builds here

Revision 1.17  2005/02/20 09:26:28  radek
- release 2: t/absolute.t is back (EWORKSFORME; let's try on builders)
- Note: don't remove, it impedes debugging; mv in %prep is sufficient

Revision 1.16  2005/01/03 19:37:07  adamg
- updated to 0.33
- disable t/absolute.t

Revision 1.15  2004/11/03 22:30:26  paladine
- formatting

Revision 1.14  2004/08/13 19:29:07  adamg
- updated to 0.31

Revision 1.13  2004/08/09 21:24:52  ankry
- R: perl-mixin, rel. 4

Revision 1.12  2004/08/09 19:03:58  radek
- removed _noautoreq perl(mixin) (it's in the perl-mixin package)

Revision 1.11  2004/08/09 04:29:27  ankry
- Any better solution? Rel. 2

Revision 1.10  2004/08/08 18:43:03  adamg
- updated to 0.30

Revision 1.9  2004/05/30 07:55:17  migo
- up to 0.21

Revision 1.8  2004/05/23 23:02:12  adamg
- updated to 0.18

Revision 1.7  2004/05/10 21:25:12  radek
- BR: perl-Spiffy >= 0.16

Revision 1.6  2004/05/09 15:02:04  adamg
- updated to 0.17

Revision 1.5  2004/04/22 19:05:59  ankry
- cosmetics

Revision 1.4  2004/04/22 12:52:33  ankry
- license fixes & unification

Revision 1.3  2004/03/28 18:37:30  adamg
- updated to 0.16

Revision 1.2  2004/03/18 20:27:15  qboosh
- pl

Revision 1.1  2004/03/17 23:01:20  migo
- really cool module
